changeset in /hg/icedtea: 2007-10-04 Lillian Angel <langel at red...
Lillian Angel
langel at redhat.com
Thu Oct 4 11:08:48 PDT 2007
changeset d0100142281b in /hg/icedtea
details: http://icedtea.classpath.org/hg/icedtea?cmd=changeset;node=d0100142281b
description:
2007-10-04 Lillian Angel <langel at redhat.com>
* INSTALL: Updated docs on how-to-build, and build requirements.
* Makefile.am: Added new patch to list.
* Makefile.in: Regenerate.
* configure: Regenerate.
* configure.ac: Added check for libXinerama libs.
* patches/icedtea-xinerama.patch: New patch for bug #72.
diffstat:
7 files changed, 110 insertions(+), 16 deletions(-)
ChangeLog | 9 ++++
INSTALL | 26 +++++--------
Makefile.am | 1
Makefile.in | 1
configure | 75 ++++++++++++++++++++++++++++++++++++++++
configure.ac | 2 +
patches/icedtea-xinerama.patch | 12 ++++++
diffs (201 lines):
diff -r 3ff54046cde2 -r d0100142281b ChangeLog
--- a/ChangeLog Wed Oct 03 16:48:03 2007 -0700
+++ b/ChangeLog Thu Oct 04 14:06:11 2007 -0400
@@ -1,3 +1,12 @@ 2007-10-03 Keith Seitz <keiths at redhat.
+2007-10-04 Lillian Angel <langel at redhat.com>
+
+ * INSTALL: Updated docs on how-to-build, and build requirements.
+ * Makefile.am: Added new patch to list.
+ * Makefile.in: Regenerate.
+ * configure: Regenerate.
+ * configure.ac: Added check for libXinerama libs.
+ * patches/icedtea-xinerama.patch: New patch for bug #72.
+
2007-10-03 Keith Seitz <keiths at redhat.com>
* patches/icedtea-float-double-trailing-zeros.patch:
diff -r 3ff54046cde2 -r d0100142281b INSTALL
--- a/INSTALL Wed Oct 03 16:48:03 2007 -0700
+++ b/INSTALL Thu Oct 04 14:06:11 2007 -0400
@@ -4,13 +4,6 @@ For convenience we've provided make targ
For convenience we've provided make targets that automatically
download, extract and patch the source code from openjdk.java.net, in
a default location.
-
-To build IcedTea, do:
-
-./configure [OPTION]... [VAR=VALUE]...
-make
-
-There is currently no install target.
The build requirements are as follows:
@@ -31,22 +24,23 @@ firefox-devel
firefox-devel
glib2-devel
gtk2-devel
+ant >= 1.6.5
+libXinerama-devel
See ./configure --help if you need to override defaults.
+
+./configure
+ --with-icedtea-home=/path/to/old/icedtea
+ [default /usr/lib/jvm/java-icedtea]
+make
+
+There is currently no install target.
IcedTea ends up in openjdk/control/build/linux-i586 or
openjdk/control/build/linux-amd64 when the build completes.
-Building IcedTea with IcedTea
------------------------------
+This builds IcedTea against a previously built IcedTea.
-To perform a full bootstrap, do:
-
-./configure
-make
-
-This builds IcedTea against ecj running on libgcj first then uses the
-result of that build to build IcedTea again.
Rebuilding The IcedTea Plugs
----------------------------
diff -r 3ff54046cde2 -r d0100142281b Makefile.am
--- a/Makefile.am Wed Oct 03 16:48:03 2007 -0700
+++ b/Makefile.am Thu Oct 04 14:06:11 2007 -0400
@@ -139,6 +139,7 @@ ICEDTEA_PATCHES = \
patches/icedtea-gcc-suffix.patch \
patches/icedtea-bytebuffer-compact.patch \
patches/icedtea-float-double-trailing-zeros.patch \
+ patches/icedtea-xinerama.patch \
$(FAST_BUILD_PATCH) \
$(DISTRIBUTION_PATCHES)
diff -r 3ff54046cde2 -r d0100142281b Makefile.in
--- a/Makefile.in Wed Oct 03 16:48:03 2007 -0700
+++ b/Makefile.in Thu Oct 04 14:06:11 2007 -0400
@@ -255,6 +255,7 @@ ICEDTEA_PATCHES = \
patches/icedtea-gcc-suffix.patch \
patches/icedtea-bytebuffer-compact.patch \
patches/icedtea-float-double-trailing-zeros.patch \
+ patches/icedtea-xinerama.patch \
$(FAST_BUILD_PATCH) \
$(DISTRIBUTION_PATCHES)
diff -r 3ff54046cde2 -r d0100142281b configure
--- a/configure Wed Oct 03 16:48:03 2007 -0700
+++ b/configure Thu Oct 04 14:06:11 2007 -0400
@@ -6817,6 +6817,81 @@ fi
fi
+{ echo "$as_me:$LINENO: checking for XineramaQueryExtension in -lXinerama" >&5
+echo $ECHO_N "checking for XineramaQueryExtension in -lXinerama... $ECHO_C" >&6; }
+if test "${ac_cv_lib_Xinerama_XineramaQueryExtension+set}" = set; then
+ echo $ECHO_N "(cached) $ECHO_C" >&6
+else
+ ac_check_lib_save_LIBS=$LIBS
+LIBS="-lXinerama $LIBS"
+cat >conftest.$ac_ext <<_ACEOF
+/* confdefs.h. */
+_ACEOF
+cat confdefs.h >>conftest.$ac_ext
+cat >>conftest.$ac_ext <<_ACEOF
+/* end confdefs.h. */
+
+/* Override any GCC internal prototype to avoid an error.
+ Use char because int might match the return type of a GCC
+ builtin and then its argument prototype would still apply. */
+#ifdef __cplusplus
+extern "C"
+#endif
+char XineramaQueryExtension ();
+int
+main ()
+{
+return XineramaQueryExtension ();
+ ;
+ return 0;
+}
+_ACEOF
+rm -f conftest.$ac_objext conftest$ac_exeext
+if { (ac_try="$ac_link"
+case "(($ac_try" in
+ *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
+ *) ac_try_echo=$ac_try;;
+esac
+eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
+ (eval "$ac_link") 2>conftest.er1
+ ac_status=$?
+ grep -v '^ *+' conftest.er1 >conftest.err
+ rm -f conftest.er1
+ cat conftest.err >&5
+ echo "$as_me:$LINENO: \$? = $ac_status" >&5
+ (exit $ac_status); } && {
+ test -z "$ac_c_werror_flag" ||
+ test ! -s conftest.err
+ } && test -s conftest$ac_exeext &&
+ $as_test_x conftest$ac_exeext; then
+ ac_cv_lib_Xinerama_XineramaQueryExtension=yes
+else
+ echo "$as_me: failed program was:" >&5
+sed 's/^/| /' conftest.$ac_ext >&5
+
+ ac_cv_lib_Xinerama_XineramaQueryExtension=no
+fi
+
+rm -f core conftest.err conftest.$ac_objext conftest_ipa8_conftest.oo \
+ conftest$ac_exeext conftest.$ac_ext
+LIBS=$ac_check_lib_save_LIBS
+fi
+{ echo "$as_me:$LINENO: result: $ac_cv_lib_Xinerama_XineramaQueryExtension" >&5
+echo "${ECHO_T}$ac_cv_lib_Xinerama_XineramaQueryExtension" >&6; }
+if test $ac_cv_lib_Xinerama_XineramaQueryExtension = yes; then
+ cat >>confdefs.h <<_ACEOF
+#define HAVE_LIBXINERAMA 1
+_ACEOF
+
+ LIBS="-lXinerama $LIBS"
+
+else
+ { { echo "$as_me:$LINENO: error: \"libXinerama not found - try installing libXinerama-devel\"" >&5
+echo "$as_me: error: \"libXinerama not found - try installing libXinerama-devel\"" >&2;}
+ { (exit 1); exit 1; }; }
+fi
+
+
if test "x$ac_cv_env_PKG_CONFIG_set" != "xset"; then
diff -r 3ff54046cde2 -r d0100142281b configure.ac
--- a/configure.ac Wed Oct 03 16:48:03 2007 -0700
+++ b/configure.ac Thu Oct 04 14:06:11 2007 -0400
@@ -72,6 +72,8 @@ CHECK_HEADERS
AC_CHECK_LIB(Xtst, XTestQueryExtension,
, [AC_MSG_ERROR("libXtst not found - try installing libXtst-devel")])
+AC_CHECK_LIB(Xinerama, XineramaQueryExtension,
+ , [AC_MSG_ERROR("libXinerama not found - try installing libXinerama-devel")])
dnl Check for plugin support headers and libraries.
PKG_CHECK_MODULES(MOZILLA, mozilla-plugin, [MOZILLA_FOUND=yes], \
diff -r 3ff54046cde2 -r d0100142281b patches/icedtea-xinerama.patch
--- /dev/null Thu Jan 01 00:00:00 1970 +0000
+++ b/patches/icedtea-xinerama.patch Thu Oct 04 14:06:11 2007 -0400
@@ -0,0 +1,12 @@
+diff -up openjdk/j2se/make/sun/xawt/Makefile.jx openjdk/j2se/make/sun/xawt/Makefile
+--- openjdk/j2se/make/sun/xawt/Makefile.jx 2007-08-30 03:19:44.000000000 -0400
++++ openjdk/j2se/make/sun/xawt/Makefile 2007-10-03 14:49:11.000000000 -0400
+@@ -49,8 +49,7 @@ AUTO_JAVA_PRUNE = WrapperGenerator.java
+ LDFLAGS += -L$(OPENWIN_LIB)
+
+ ifeq ($(PLATFORM), linux)
+-FILES_c += Xinerama.c
+-LDFLAGS += -lpthread
++LDFLAGS += -lXinerama -lpthread
+ dummy := $(shell $(MKDIR) -p $(LIB_LOCATION))
+ endif
More information about the distro-pkg-dev
mailing list